### Method

# Gio ApplicationCommandLine create_file_for_arg

since: 2.36

#### Declaration [src]

    GFile*
    g_application_command_line_create_file_for_arg (
      GApplicationCommandLine* cmdline,
      const gchar* arg
    )

#### Description [src]

Creates a `GFile` corresponding to a filename that was given as part of the invocation of `cmdline`.

This differs from `g_file_new_for_commandline_arg()` in that it resolves relative pathnames using the current working directory of the invoking process rather than the local process.

Available since: 2.36

#### Parameters

`arg`

  Type: `const gchar*`

  An argument from `cmdline`.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `GFile`

A new `GFile`.

The caller of the method takes ownership of the data, and is responsible for freeing it.